---
layout: docs
page_title: sessions list - Command
description: >-
  The "sessions list" command lists the available session resources within a scope or resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# sessions list

Command: `boundary sessions list`

The `boundary sessions list` command lets you list the Boundary sessions within a given scope or resource.

## Example

This example lists all sessions within the scope `s_1234567890`.
The `recursive` option means Boundary runs the operation recursively on any child scopes, if applicable:

```shell-session
$ boundary sessions list -scope-id s_1234567890 -recursive
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary sessions list [options] [args]
```

</CodeBlockConfig>

### Command options

- `-filter=<string>` - If set, Boundary filters the list operation before the results are returned.
The filter operates against each item in the list.
We recommend that you use single quotes, because the filters contain double quotes.
Refer to the [Filtering and listing resources documentation](/boundary/docs/filtering) for more details.
- `-include-terminated` - If set, Boundary includes terminated sessions in the `list` results.
The default value is `false`.
This field has been deprecated and will be removed from a future release.
Boundary will include terminated sessions in all list results, unless you filter them out.
- `recursive` - If set, runs the list operation recursively on any child scopes, if the type supports it.
The default value is `false`.
- `scope-id=<string>` - The scope from which to list sessions.
The default value is `global`.
You can also specify this value using the **BOUNDARY_SCOPE_ID** environment variable.
- `list_token` (optional) - An opaque token that is returned from the previous `list` response.
If you do not supply a value, pagination starts from the beginning.
- `page_size` (optional) - An unsigned integer that indicates the number of items that should be included on the page of search results.
If you do not provide a value, or if you provide a value of `0`, Boundary uses the default page size of 1000 items.
If you configure it, the `page_size` value overrides the default page size.
Controller administrators can also configure a `max_page_size` option that constrains the maximum page size a user can request.

@include 'cmd-option-note.mdx'